Subject: RE: sa1100 memory limit?

From: Jim Kasper <[email-masked]>
Date: Wed, 17 May 2000 22:28:06 -0400

-----Original Message-----
From: Nicolas Pitre
To: Chris Blazie
Cc: [email-masked]; [email-masked]
Sent: 05/17/00 18:15
Subject: Re: sa1100 memory limit?

On Wed, 17 May 2000, Chris Blazie wrote:

> 
> > > looking, but appreciate any pointers while I try to run this down.
I also
> > > noticed in include/asm/arch/mmzone.h: 
> > > 
> > > /*
> > >  * 32MB max in each bank, must fit with __virt_to_phys() &
> > > __phys_to_virt()
> > >  */
> > > #define NODE_MAX_MEM_SHIFT      25
> > > #define NODE_MAX_MEM_SIZE       (1<<NODE_MAX_MEM_SHIFT)
> > > 
> > > 	Is this an absolute limit on bank size to 32MB?
> > 
> > Don't look any further!!  You found it.
> > 
> > What's the actual maximum memory bank size on the SA1110?  It's 32
MB on
> > the SA1100 I think.  That's why that limit was 32 MB.
> 
> 	According to the SA1100 and SA1110 reference (memory map), each
> dynamic memory bank is 128MB max.  So bank 0 is C0000000 to C7FFFFFF,
bank
> 1 at C8000000 and so on.

This is the physical address space reserved for each bank.  However I
doubt you can actually put 128 MB of RAM on a single bank.  Can you?

Actually yes, we currently have 64 Meg per bank and it works fine from
boot loader. 

> 	Also...if the problem were a bank size limit, I should still be
> able to handle up to 64MB, correct?  32MB per bank.  My problem is
> anything over 32MB TOTAL gives the oops.

That's strange...

Nicolas

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]